tvdataservice

## Class MarkedProgramsMap

- java.lang.Object
- - tvdataservice.MarkedProgramsMap

-     public class MarkedProgramsMap
      extends java.lang.Object

  A class that contains all markings for programs.
  Since:
    3.3.4
  Author:
    René Mach

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addMarkerForProgram(Program p, Marker marker)`
    `static MarkedProgramsMap` | `getInstance()`
    `Program[]` | `getMarkedPrograms()`
    `(package private) Marker[]` | `getMarkerForProgram(Program p)`
    `(package private) int` | `getMarkPriorityForProgram(Program p)`
    `Program[]` | `getTimeSortedProgramsForTray(ProgramFilter filter, int markPriority, int numberOfPrograms, boolean includeOnAirPrograms)`
    `Program[]` | `getTimeSortedProgramsForTray(ProgramFilter filter, int markPriority, int numberOfPrograms, boolean includeOnAirPrograms, boolean useTrayFilterSettings, java.util.ArrayList<Program> excludePrograms)`
    `(package private) void` | `removeMarkerForProgram(Program p, Marker marker)`
    `void` | `revalidatePrograms()`
    `(package private) void` | `setMarkerForProgram(Program p, Marker[] markerArr)`
    `(package private) void` | `setMarkPriorityForProgram(Program p, int markPriority)`
    `(package private) boolean` | `validateMarkingForProgram(Program p)`
    `void` | `validateMarkings()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static MarkedProgramsMap getInstance()

      Returns:
        The instance of this class.

    - #### setMarkerForProgram

          void setMarkerForProgram(Program p,
                                 Marker[] markerArr)

    - #### addMarkerForProgram

          void addMarkerForProgram(Program p,
                                 Marker marker)

    - #### removeMarkerForProgram

          void removeMarkerForProgram(Program p,
                                    Marker marker)

    - #### getMarkerForProgram

          Marker[] getMarkerForProgram(Program p)

    - #### setMarkPriorityForProgram

          void setMarkPriorityForProgram(Program p,
                                       int markPriority)

    - #### getMarkPriorityForProgram

          int getMarkPriorityForProgram(Program p)

    - #### validateMarkingForProgram

          boolean validateMarkingForProgram(Program p)

    - #### revalidatePrograms

          public void revalidatePrograms()

    - #### validateMarkings

          public void validateMarkings()

    - #### getMarkedPrograms

          public Program[] getMarkedPrograms()

      Returns:
        All marked programs.

    - #### getTimeSortedProgramsForTray

          public Program[] getTimeSortedProgramsForTray(ProgramFilter filter,
                                               int markPriority,
                                               int numberOfPrograms,
                                               boolean includeOnAirPrograms)

      Parameters:
        `filter` - The filter to use for program filtering
        `markPriority` - The minimum mark priority of programs to find.
        `numberOfPrograms` - The number of programs to show. Use a value of 0 or below for all important programs.
        `includeOnAirPrograms` - If the marked programs array should contain running programs.
      Returns:
        The time sorted programs for the tray.

    - #### getTimeSortedProgramsForTray

          public Program[] getTimeSortedProgramsForTray(ProgramFilter filter,
                                               int markPriority,
                                               int numberOfPrograms,
                                               boolean includeOnAirPrograms,
                                               boolean useTrayFilterSettings,
                                               java.util.ArrayList<Program> excludePrograms)

      Parameters:
        `filter` - The filter to use for program filtering
        `markPriority` - The minimum mark priority of programs to find.
        `numberOfPrograms` - The number of programs to show. Use a value of 0 or below for all important programs.
        `includeOnAirPrograms` - If the marked programs array should contain running programs.If the tray filter settings should be used for filtering.
        `useTrayFilterSettings` - If the tray filter settings should be used for filtering.
        `excludePrograms` -
      Returns:
        The time sorted programs for the tray.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)